Ext.namespace('Zarafa.plugins.owncloudrcvattachment.dialogs');

/**
 * @class Zarafa.plugins.owncloudrcvattachment.dialogs.FolderChoosePanel
 * @extends Zarafa.core.ui.ContentPanel
 *
 * The content panel which shows the hierarchy tree of Owncloud account files.
 * @xtype owncloudrcvcontentpanel
 */
Zarafa.plugins.owncloudrcvattachment.dialogs.FolderChoosePanel = Ext.extend(Zarafa.core.ui.ContentPanel, {

	/**
	 * @constructor
	 * @param config Configuration structure
	 */
	constructor : function(config)
	{
		config = config || {};

		Ext.applyIf(config, {
			layout					: 'fit',
			title					: _('Owncloud Attachment'),
			closeOnSave				: true,
			width					: 400,
			height					: 300,
			//Add panel
			items					: [
				{
					xtype			: 'owncloudrcvattachment.folderpanel',
					ref				: 'treePanel',
					response		: config.record
				}
			]
		});

		Zarafa.plugins.owncloudrcvattachment.dialogs.FolderChoosePanel.superclass.constructor.call(this, config);
	}

});

Ext.reg('owncloudrcvcontentpanel' ,Zarafa.plugins.owncloudrcvattachment.dialogs.FolderChoosePanel);